## org.eclipse.m2m.atl.adt.ui.text
Class AtlReconcilingStrategy

    java.lang.Object
      org.eclipse.m2m.atl.adt.ui.text.AtlReconcilingStrategy

All Implemented Interfaces:
  org.eclipse.jface.text.reconciler.IReconcilingStrategy, org.eclipse.jface.text.reconciler.IReconcilingStrategyExtension

    public final class AtlReconcilingStrategy

extends java.lang.Object
implements org.eclipse.jface.text.reconciler.IReconcilingStrategy, org.eclipse.jface.text.reconciler.IReconcilingStrategyExtension

This reconciling strategy will allow us to enable folding support in the Atl editor.

Field Summary
`protected java.util.Map<org.eclipse.jface.text.source.Annotation,org.eclipse.jface.text.Position>` `addedAnnotations` This will hold the list of all annotations that have been added since the last reconciling.
`protected java.util.Map<org.eclipse.jface.text.source.Annotation,org.eclipse.jface.text.Position>` `currentAnnotations` Current known positions of foldable block.
`protected java.util.List<org.eclipse.jface.text.source.Annotation>` `deletedAnnotations` This will hold the list of all annotations that have been removed since the last reconciling.
`protected AtlEditor` `editor` Editor this provides folding support to.
`protected java.util.Map<org.eclipse.jface.text.source.Annotation,org.eclipse.jface.text.Position>` `modifiedAnnotations` This will hold the list of all annotations that have been modified since the last reconciling.

Constructor Summary
`AtlReconcilingStrategy(AtlEditor editor)` Instantiates the reconciling strategy for a given editor.

Method Summary
`void` `initialReconcile()`
`void` `reconcile(org.eclipse.jface.text.reconciler.DirtyRegion dirtyRegion, org.eclipse.jface.text.IRegion subRegion)`
`void` `reconcile(org.eclipse.jface.text.IRegion partition)`
`void` `setDocument(org.eclipse.jface.text.IDocument document)`
`void` `setProgressMonitor(org.eclipse.core.runtime.IProgressMonitor monitor)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### addedAnnotations

    protected final java.util.Map<org.eclipse.jface.text.source.Annotation,org.eclipse.jface.text.Position> addedAnnotations

  This will hold the list of all annotations that have been added since the last reconciling.

### currentAnnotations

    protected final java.util.Map<org.eclipse.jface.text.source.Annotation,org.eclipse.jface.text.Position> currentAnnotations

  Current known positions of foldable block.

### deletedAnnotations

    protected final java.util.List<org.eclipse.jface.text.source.Annotation> deletedAnnotations

  This will hold the list of all annotations that have been removed since the last reconciling.

### editor

    protected final AtlEditor editor

  Editor this provides folding support to.

### modifiedAnnotations

    protected final java.util.Map<org.eclipse.jface.text.source.Annotation,org.eclipse.jface.text.Position> modifiedAnnotations

  This will hold the list of all annotations that have been modified since the last reconciling.

Constructor Detail

### AtlReconcilingStrategy

    public AtlReconcilingStrategy(AtlEditor editor)

  Instantiates the reconciling strategy for a given editor.

  Parameters:
    `editor` - Editor which we seek to provide folding support for.

Method Detail

### initialReconcile

    public void initialReconcile()

  Specified by:
    `initialReconcile` in interface `org.eclipse.jface.text.reconciler.IReconcilingStrategyExtension`
  See Also:
    `IReconcilingStrategyExtension.initialReconcile()`

### reconcile

    public void reconcile(org.eclipse.jface.text.reconciler.DirtyRegion dirtyRegion,
                          org.eclipse.jface.text.IRegion subRegion)

  Specified by:
    `reconcile` in interface `org.eclipse.jface.text.reconciler.IReconcilingStrategy`
  See Also:
    `IReconcilingStrategy.reconcile(org.eclipse.jface.text.reconciler.DirtyRegion, org.eclipse.jface.text.IRegion)`

### reconcile

    public void reconcile(org.eclipse.jface.text.IRegion partition)

  Specified by:
    `reconcile` in interface `org.eclipse.jface.text.reconciler.IReconcilingStrategy`
  See Also:
    `IReconcilingStrategy.reconcile(org.eclipse.jface.text.IRegion)`

### setDocument

    public void setDocument(org.eclipse.jface.text.IDocument document)

  Specified by:
    `setDocument` in interface `org.eclipse.jface.text.reconciler.IReconcilingStrategy`
  See Also:
    `IReconcilingStrategy.setDocument(org.eclipse.jface.text.IDocument)`

### setProgressMonitor

    public void setProgressMonitor(org.eclipse.core.runtime.IProgressMonitor monitor)

  Specified by:
    `setProgressMonitor` in interface `org.eclipse.jface.text.reconciler.IReconcilingStrategyExtension`
  See Also:
    `IReconcilingStrategyExtension.setProgressMonitor(org.eclipse.core.runtime.IProgressMonitor)`

Copyright 2007 IBM Corporation and others. All Rights Reserved.